List webhook deliveries
curl --request GET \
--url https://api.timelyai.com.br/v1/webhooks/{id}/deliveries \
--header 'x-api-key: <api-key>'import requests
url = "https://api.timelyai.com.br/v1/webhooks/{id}/deliveries"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.timelyai.com.br/v1/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event": "<string>",
"status_code": 123,
"response_time_ms": 123,
"attempt": 123,
"next_retry_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"total_pages": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}Webhooks
List webhook deliveries
Returns the delivery history for a webhook.
GET
/
v1
/
webhooks
/
{id}
/
deliveries
List webhook deliveries
Authorizations
API key obtained from the dashboard
Path Parameters
Webhook ID
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100⌘I